--AH:ScriptId=17c69032-4da8-490a-af8d-c65b55413d9b;292
BEGIN TRY

BEGIN TRANSACTION

ALTER TABLE EventOccurenceDetails NOCHECK CONSTRAINT FK__EventOccurences__EventTypeDetails
ALTER TABLE EventTypeDetails NOCHECK CONSTRAINT FK__EventTypeDetails__EventTypes
ALTER TABLE EventOccurences NOCHECK CONSTRAINT FK__EventOccurences__EventTypes

UPDATE EventTypes SET Event_Code = 'APPDLD' WHERE Event_Code = 'APPDLS'
UPDATE EventTypeDetails SET Event_Code = 'APPDLD' WHERE Event_Code = 'APPDLS'
UPDATE EventOccurences SET Event_Code = 'APPDLD' WHERE Event_Code = 'APPDLS'
UPDATE EventOccurenceDetails SET Event_Code = 'APPDLD' WHERE Event_Code = 'APPDLS'

UPDATE EventTypes SET Event_Code = 'APPMDD' WHERE Event_Code = 'APPMDS'
UPDATE EventTypeDetails SET Event_Code = 'APPMDD' WHERE Event_Code = 'APPMDS'
UPDATE EventOccurences SET Event_Code = 'APPMDD' WHERE Event_Code = 'APPMDS'
UPDATE EventOccurenceDetails SET Event_Code = 'APPMDD' WHERE Event_Code = 'APPMDS'

UPDATE EventTypes SET Event_Code = 'APPNWD' WHERE Event_Code = 'APPNWS'
UPDATE EventTypeDetails SET Event_Code = 'APPNWD' WHERE Event_Code = 'APPNWS'
UPDATE EventOccurences SET Event_Code = 'APPNWD' WHERE Event_Code = 'APPNWS'
UPDATE EventOccurenceDetails SET Event_Code = 'APPNWD' WHERE Event_Code = 'APPNWS'

UPDATE EventTypes
   SET Event_Description = REPLACE(Event_Description, 'Solution', 'Deployable')
 WHERE Event_Description LIKE '%Solution%'
 
UPDATE EventTypeDetails
   SET Detail_Name = REPLACE(Detail_Name, 'Solution', 'Deployable')
 WHERE Detail_Name LIKE '%Solution%' 
 
UPDATE EventOccurenceDetails
   SET Detail_Name = REPLACE(Detail_Name, 'Solution', 'Deployable')
 WHERE Detail_Name LIKE '%Solution%'  

ALTER TABLE EventOccurenceDetails CHECK CONSTRAINT FK__EventOccurences__EventTypeDetails
ALTER TABLE EventTypeDetails CHECK CONSTRAINT FK__EventTypeDetails__EventTypes
ALTER TABLE EventOccurences CHECK CONSTRAINT FK__EventOccurences__EventTypes

COMMIT

END TRY BEGIN CATCH

ROLLBACK

END CATCH