--AH:ScriptId=40457897-fd2e-40ab-a6e1-465a0c3c4d26;3188

CREATE TABLE [PlanVersions]
(
    [PlanVersion_Id] INT NOT NULL,
    [Plan_Id] INT NOT NULL,
    [ModifiedOn_Date] DATETIME NOT NULL,
    [ModifiedBy_User_Name] USERNAME NOT NULL,
    [Plan_Bytes] VARBINARY(MAX) NOT NULL,
    
    CONSTRAINT [PK__PlanVersions] PRIMARY KEY ([PlanVersion_Id], [Plan_Id]),

    CONSTRAINT [FK__PlanVersions__Plans] FOREIGN KEY ([Plan_Id]) 
               REFERENCES [Plans] ([Plan_Id])
               ON DELETE CASCADE
)
GO

INSERT [PlanVersions] ([PlanVersion_Id], [Plan_Id], [ModifiedOn_Date], [ModifiedBy_User_Name], [Plan_Bytes])
SELECT 1, [Plan_Id], [ModifiedOn_Date], [ModifiedBy_User_Name], [Plan_Bytes]
  FROM [Plans]

GO

ALTER TABLE [Plans]
  DROP COLUMN [Plan_Bytes]
GO

ALTER TABLE [Plans]
  ADD [Active_Indicator] YNINDICATOR NULL
GO

UPDATE [Plans]
   SET [Active_Indicator] = 'Y'
GO

ALTER TABLE [Plans]
  ALTER COLUMN [Active_Indicator] YNINDICATOR NOT NULL
GO

