--AH:ScriptId=25a942d4-74d6-4969-ab95-dd51cef70bd6;278
/* 
    Formerly the PerformanceType_Codes were E, P, and M which make no sense... 
    they should be:
     X - Once per execution
     E - Once per environment
     M - Manual 
*/
ALTER TABLE [ChangeControls]
DROP CONSTRAINT [CK__ChangeControls__PerformanceType_Code__Domain]
GO

UPDATE [ChangeControls]
SET [PerformanceType_Code] = 'X'
WHERE [PerformanceType_Code] = 'E'
GO

UPDATE [ChangeControls]
SET [PerformanceType_Code] = 'E'
WHERE [PerformanceType_Code] = 'P'
GO

ALTER TABLE [ChangeControls]
  ADD CONSTRAINT [CK__ChangeControls__PerformanceType_Code__Domain]
      CHECK ([PerformanceType_Code] IN ('X', 'E', 'M'))
GO