EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'TextTemplates_GetTemplates',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'TextTemplates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all text templates for the specified application or in the system.'
GO

IF OBJECT_ID('[TextTemplates_GetTemplates]') IS NOT NULL DROP PROCEDURE [TextTemplates_GetTemplates]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [TextTemplates_GetTemplates]
(
    @Application_Id INT = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [TextTemplates]
     WHERE [Application_Id] IS NULL OR [Application_Id] = @Application_Id
     ORDER BY [Application_Id] DESC

END
GO

GRANT EXECUTE ON [TextTemplates_GetTemplates] TO [BuildMasterUser_Role]